<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" type="text/css" href="/css/style.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<script>
    function checkRegister(){
        let username = $('#username').val();
        let password = $('#password').val();
        let confirmPassword = $('#confirm_password').val();
        let phone = $('#phone').val();
        let confirmPhone = $('#confirm_phone').val();
        if(username==''){
            $('.result').hide();
            $('.error').html( 'Username is Emthy');
            return false;
        }

        if(password==''){
            $('.result').hide();
            $('.error').html( 'Password is Emthy');
            return false;
        }

        if(password !== '' && password !== confirmPassword){
            $('.result').hide();
            $('.error').html( 'Password mismatch');
            $('#confirm_password').focus();
            return false;
        }

        if(phone==''){
            $('.result').hide();
            $('.error').html( 'Phone is Emthy');
            return false;
        }
        
        if(phone !== '' && phone !== confirmPhone){
            $('.result').hide();
            $('.error').html( 'Phone mismatch');
            $('#confirm_phone').focus();
            return false;
        }

        $('.error').html('');
        $('.result').show();
        $(".result" ).append("<p id='user_result'>" + username+ "</p>");
        $(".result" ).append("<p id='password_result'>" + password+ "</p>");
        $(".result" ).append("<p id='phone_result'>" + phone+ "</p><br>");
        return false;
    }
</script>
<body>
    <h1>Register</h1>
        Username: <input type="text" id="username"><br>
        Password: <input type="password" id="password"><br>
        Confirm Password: <input type="password" id="confirm_password"><br>    
        Mobile Phone: <input type="text" id="phone"><br>
        Comfirm Phone: <input type="text" id="confirm_phone"><br>    
        <input type="submit" onclick="checkRegister();" value="Submit"><br>
        <br>
        <div class="error"></div>
        <div class="result"></div>
        <br>
</body>
</html>